Package com.arms.egovframework.javaservice.treeframework.util

## Class EgovFormBasedUUID

- java.lang.Object
- - com.arms.egovframework.javaservice.treeframework.util.EgovFormBasedUUID

- All Implemented Interfaces:
    `java.io.Serializable`

      public class EgovFormBasedUUID
      extends java.lang.Object
      implements java.io.Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `EgovFormBasedUUID​(long mostSigBits, long leastSigBits)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `clockSequence()` |
    `int` | `compareTo​(EgovFormBasedUUID val)` |
    `boolean` | `equals​(java.lang.Object obj)` |
    `static EgovFormBasedUUID` | `fromString​(java.lang.String name)` |
    `long` | `getLeastSignificantBits()` |
    `long` | `getMostSignificantBits()` |
    `int` | `hashCode()` |
    `static EgovFormBasedUUID` | `nameUUIDFromBytes​(byte[] name)` |
    `long` | `node()` |
    `static EgovFormBasedUUID` | `randomUUID()` |
    `long` | `timestamp()` |
    `java.lang.String` | `toString()` |
    `int` | `variant()` |
    `int` | `version()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EgovFormBasedUUID

          public EgovFormBasedUUID​(long mostSigBits,
                                   long leastSigBits)

  - ### Method Detail

    - #### randomUUID

          public static EgovFormBasedUUID randomUUID()

    - #### nameUUIDFromBytes

          public static EgovFormBasedUUID nameUUIDFromBytes​(byte[] name)

    - #### fromString

          public static EgovFormBasedUUID fromString​(java.lang.String name)

    - #### getLeastSignificantBits

          public long getLeastSignificantBits()

    - #### getMostSignificantBits

          public long getMostSignificantBits()

    - #### version

          public int version()

    - #### variant

          public int variant()

    - #### timestamp

          public long timestamp()

    - #### clockSequence

          public int clockSequence()

    - #### node

          public long node()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### compareTo

          public int compareTo​(EgovFormBasedUUID val)